
@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cairo:wght@200..1000&family=Noto+Kufi+Arabic:wght@100..900&display=swap');

/* ------------------- font  */

html[lang='en'] {
    font-family: "Lato", sans-serif !important;
}

html[lang='ar'] {
    font-family:"Cairo", serif !important;
}

body {
    font-family: inherit !important;
    padding : 0 !important;
    background: linear-gradient(to left, #778d91 -5%, #168996 5%, #011668 40% ,  #02303f 95.5%),
    url('/Content/Images/IN_DARK_PATTERN_NEW_2.png') !important;
    background-size: cover;
    background-position: center;
    background-repeat: repeat-y;
    background-blend-mode: overlay; 
}


/* step-1 */
.mainContainer {
    background-color: transparent !important;
    width: 100%;
    /* height: 100vh !important ; */
}

/* step-2 */
#divLoginHeader {
    background: linear-gradient(to left, #778d91 -5%, #168996 5%, #011668 40%, #02303f 95.5%) !important;
    width: 100% !important;
    background-color: transparent !important;
    position: fixed !important;
    z-index: 100 !important;
    top: 0 !important;
    /* max-width: 1140px !important;
    margin: 0 auto !important; */
    /* padding: 16px 0; */
    /* display: flex;
    justify-content: space-between;
    align-items: center; */
}
    /* step-3 */
    #divLoginHeader .logo_container {
        max-width: 1140px !important;
        margin: 0 auto !important;
        width: 100% !important;
        background-color: transparent !important;
        display: flex;
        align-items: center;
        justify-content: flex-start;
        /* flex-grow: 1; */
    }

        #divLoginHeader .logo_container .logo_container_2 div {
            width: 100% !important;
            background-color: transparent !important;
        }

        #divLoginHeader .logo_container .logo_container_2 {
            width: 100% !important;
            background-color: transparent !important;
        }

            #divLoginHeader .logo_container .logo_container_2 div div {
                width: 100% !important;
                background-color: transparent !important;
                display: flex;
                justify-content: space-between;
            }

                #divLoginHeader .logo_container .logo_container_2 div div .navbar-header {
                    background-color: transparent !important;
                    width: fit-content !important;
                    position: relative;
                    left: -10px;
                    /* top : -7px; */
                }

                    #divLoginHeader .logo_container .logo_container_2 div div .navbar-header img.logo {
                        object-fit: cover !important;
                        display: block !important;
                        width: 200px !important;
                    }

                #divLoginHeader .logo_container .logo_container_2 div div .current-version {
                    background-color: transparent !important;
                    width: fit-content !important;
                    padding: 0;
                }

                    #divLoginHeader .logo_container .logo_container_2 div div .current-version span {
                        color: #16967f !important;
                        font-weight: 800;
                        margin: 0;
                    }

.partner-logo {
    display: none;
}

.formContainer {
    width: 100%;
    max-width: 1140px !important;
    margin: 0 auto;
    padding: 0 16px;
    height: calc( 100vh - 60px);
    /* padding: 2rem; */
}

    .formContainer .formContainer_2 {
        width: 100% !important;
        margin: 0;
        padding: 0;
        height: 100% !important;
    }

    .formContainer form {
        width: 100% !important;
        margin: 0;
        height: 100%
    }

        .formContainer form .container-fluid {
            width: 100% !important;
            margin: 0;
            height: 100%
        }
        /* step-4 */
        .formContainer form .mainSection {
            margin-top: 100px !important;
            /* height : 100% ; */
            display: flex !important;
            justify-content: center !important;
            flex-direction: column !important;
            align-items: center !important;
            /* gap: .7rem; */
        }
            /* step-5 */
            .formContainer form .mainSection .logondatatable {
                padding-top: 6rem;
                background-color: transparent !important;
                margin: 0;
                width: 100%;
                display: flex;
                flex-direction: column;
                gap: 2rem;
            }

                .formContainer form .mainSection .logondatatable #divLogin {
                    width: 100%;
                    border-radius: 0.6rem;
                    -webkit-border-radius: 0.6rem;
                    -moz-border-radius: 0.6rem;
                    -ms-border-radius: 0.6rem;
                    -o-border-radius: 0.6rem;
                    padding: 0 2rem 0 0;
                    backdrop-filter: blur(34px);
                    background-color: rgba(225,225,225, 0.2);
                    /* border: solid 1px rgba(225,225,225, 0.5); */
                    box-shadow: 0 4px 11px rgba(0, 0, 0, 0.4);
                    overflow: hidden;
                }
                /* ========================================================================= */
                .formContainer form .mainSection .logondatatable .divLogin {
                    width: 100%;
                }

                    .formContainer form .mainSection .logondatatable .divLogin .loginForm {
                        display: flex;
                        flex-direction: column;
                        justify-content: space-around;
                        border: none;
                        color: #e3e3e3;
                    }

                        .formContainer form .mainSection .logondatatable .divLogin .loginForm .modal-header {
                            border-color: #e3e3e3;
                            color: #e3e3e3;
                        }

                        .formContainer form .mainSection .logondatatable .divLogin .loginForm .modal-body .form-group {
                            display: flex;
                            padding: 0;
                        }

                        .formContainer form .mainSection .logondatatable .divLogin .loginForm .modal-body input {
                            border-radius: 0.6rem;
                            -webkit-border-radius: 0.6rem;
                            -moz-border-radius: 0.6rem;
                            -ms-border-radius: 0.6rem;
                            -o-border-radius: 0.6rem;
                            border: solid 2px #ccecee;
                            outline: none !important;
                        }

                        .formContainer form .mainSection .logondatatable .divLogin .loginForm .modal-body select {
                            border-radius: 0.6rem;
                            -webkit-border-radius: 0.6rem;
                            -moz-border-radius: 0.6rem;
                            -ms-border-radius: 0.6rem;
                            -o-border-radius: 0.6rem;
                            border: solid 2px #ccecee;
                            outline: none !important;
                        }

                        .formContainer form .mainSection .logondatatable .divLogin .loginForm .modal-body input::placeholder {
                            color: rgba(38, 32, 32, 0.5);
                        }

                        .formContainer form .mainSection .logondatatable .divLogin .loginForm .modal-body select::placeholder {
                            color: rgba(38, 32, 32, 0.5);
                        }

button.formBtn.text-uppercase {
    width: 80%;
    border-radius: 0.6rem;
    -webkit-border-radius: 0.6rem;
    -moz-border-radius: 0.6rem;
    -ms-border-radius: 0.6rem;
    -o-border-radius: 0.6rem;
    line-height: 21px;
    border: 1px solid #ccecee;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1rem;
    padding: 0.80rem 1.7rem;
    position: relative;
    z-index: 0;
    left: 0%;
    transition: all 0.28s ease-in-out;
    -webkit-transition: all 0.28s ease-in-out;
    -moz-transition: all 0.28s ease-in-out;
    -ms-transition: all 0.28s ease-in-out;
    -o-transition: all 0.28s ease-in-out;
    color: #fff;
    background: linear-gradient(to left, #778d91 -5%, #168996 5%, #011668 40%, #02303f 95.5%) !important;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    width: 100%;
}


/* ============================================== */
.checkbox.nopadding {
    margin-bottom: 15px !important;
}

    .checkbox.nopadding div a {
        color: #ccecee !important;
    }

button.formBtn.text-uppercase:hover {
    background: #ccecee !important;
    color: #011668;
    border-color: #011668;
    transition: all 0.28s ease-in-out;
    -webkit-transition: all 0.28s ease-in-out;
    -moz-transition: all 0.28s ease-in-out;
    -ms-transition: all 0.28s ease-in-out;
    -o-transition: all 0.28s ease-in-out;
    gap: 2rem;
}
/* =========================================================== */
.formContainer form .mainSection .logondatatable .divLogin #myCarousel img {
    width: 95%;
    height: 100%;
    margin: 0;
    /* border: solid 1px rgba(225,225,225, 0.9); */
    /* border-radius: 0.6rem;
    -webkit-border-radius: 0.6rem;
    -moz-border-radius: 0.6rem;
    -ms-border-radius: 0.6rem;
    -o-border-radius: 0.6rem; */
}

.formContainer form .mainSection .logondatatable .divLogin #myCarousel {
    position: relative;
}

    .formContainer form .mainSection .logondatatable .divLogin #myCarousel .text-box {
        position: absolute;
        width: 85%;
        height: fit-content;
        top: 7.5%;
        left: 5%;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        gap: 1.5rem;
    }

        .formContainer form .mainSection .logondatatable .divLogin #myCarousel .text-box h1 {
            color: #ccecee;
            font-size: 4rem;
            margin: 0;
            font-weight: 900;
            line-height: 3.5rem;
        }

        .formContainer form .mainSection .logondatatable .divLogin #myCarousel .text-box img {
            width: 60px;
            height: 60px;
            border: none;
            margin: 0;
        }
/* ============================================================================================= */
.formContainer form .mainSection .globalmessage img {
    border-radius: 0.6rem;
    -webkit-border-radius: 0.6rem;
    -moz-border-radius: 0.6rem;
    -ms-border-radius: 0.6rem;
    -o-border-radius: 0.6rem;
}

/* step-6 */
/* added */
@media (max-width: 989px) {
    .formContainer form .mainSection .logondatatable {
        gap: 5rem;
    }

    .carousel.slide {
        display: block !important;
        overflow: hidden !important;
        border-radius: 0.6rem !important;
        -webkit-border-radius: 0.6rem !important;
        -moz-border-radius: 0.6rem !important;
        -ms-border-radius: 0.6rem !important;
        -o-border-radius: 0.6rem !important;
    }

    #myCarousel.carousel.slide img[alt = "login-card"] {
        object-fit: cover !important;
        display: block;
        width: 100% !important;
        height: 100% !important;
        border-radius: 0.6rem !important;
        -webkit-border-radius: 0.6rem !important;
        -moz-border-radius: 0.6rem !important;
        -ms-border-radius: 0.6rem !important;
        -o-border-radius: 0.6rem !important;
    }

    #myCarousel.carousel.slide .text-box {
        gap: .4rem;
    }

        #myCarousel.carousel.slide .text-box h1 {
            overflow-wrap: break-word;
            font-size: 2.5rem !important;
        }

        #myCarousel.carousel.slide .text-box img {
            width: 40px !important;
            height: 40px !important;
        }

    .formContainer form .mainSection .logondatatable .divLogin {
        height: fit-content !important;
        flex-direction: column;
        gap: 1rem;
        padding: 2rem !important;
    }

    .modal-body.loginDiv {
        padding: 0 !important;
    }

        .modal-body.loginDiv .form-group {
            flex-direction: column !important;
            width: 100% !important;
            margin: 5px 0;
        }

            .modal-body.loginDiv .form-group label {
                width: 100% !important;
                padding: 0 !important;
            }

            .modal-body.loginDiv .form-group div {
                width: 100% !important;
                padding: 0 !important;
            }
    /* added */
    /* make sure to have this img message_mob.jpg */
    #globalMessage img {
        content: url("/Content/Images/message.jpg");
    }
}

.logondatatable.form-horizontal .container {
    display: none !important;
}
